CREATE OR REPLACE VIEW V_KUPCI AS (
	SELECT K.ID, K.ID_MEMBER, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.TELEFON_2, K.EMAIL, K.YACHT_CLUB_ID, K.TELEX, K.VRSTA, K.NDRZAVA, 
	K.SALDAKONTI_SIT, K.SALDAKONTI_DEM, K.SALDAKONTI_KOM, K.BELEZKA, K.MANAGER, K.ACT, ENQ.INITIAL_CONTACT_DATE,
	NNTIT.INTERNI_OPIS AS NNTITLE_DESC, NNDRZ.INTERNI_OPIS AS NNDRZAVA_DESC, NNDOK.INTERNI_OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.INTERNI_OPIS AS VRSTA_DESC,
	NNDRZDR.INTERNI_OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.INTERNI_OPIS AS CITIZENSHIP_DESC, NNMAR.INTERNI_OPIS AS MARITAL_STATUS_DESC, NNUSR.USER_ AS MANAGER_USER,
    -- Owner types descriptions
    (SELECT LISTAGG(NV.OPIS,', ') WITHIN GROUP(ORDER BY NV.OPIS ASC) TYPES FROM KUPCI_VRSTA KV, NNVRSKUP NV WHERE NV.SIFRA = KV.VRSTA AND KV.ID_KUPCA = K.ID) AS TYPES_DESCRIPTIONS,
    -- Owner contract data
    (SELECT OBJEKT FROM M_POGODBE M WHERE M.ID_LASTNIKA = K.ID AND M.ID_PLOVILA IS NULL AND ROWNUM = 1 AND M.DATUM_ZACETKA = (SELECT MAX(M2.DATUM_ZACETKA) FROM M_POGODBE M2 WHERE M2.ID_LASTNIKA = K.ID AND M2.ID_PLOVILA IS NULL) ) AS POGODBA_OBJEKT,
    (SELECT N_PRIVEZA FROM M_POGODBE M WHERE M.ID_LASTNIKA = K.ID AND M.ID_PLOVILA IS NULL AND ROWNUM = 1 AND M.DATUM_ZACETKA = (SELECT MAX(M2.DATUM_ZACETKA) FROM M_POGODBE M2 WHERE M2.ID_LASTNIKA = K.ID AND M2.ID_PLOVILA IS NULL) ) AS POGODBA_PRIVEZ
   
	FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
  LEFT OUTER JOIN NUSER NNUSR ON K.MANAGER = NNUSR.NUSER
  LEFT OUTER JOIN ENQUIRY ENQ ON K.ID = ENQ.ID_KUPCA
);

CREATE TABLE NNSELL_PHASE_STATUS (
	CODE VARCHAR2(3 CHAR),
	DESCRIPTION VARCHAR2(100 CHAR),
	INTERNAL_DESCRIPTION VARCHAR2(100 CHAR),
	ACTIVE VARCHAR2(1 CHAR),
	CONSTRAINT NNSELL_PHASE_STATUS_PK PRIMARY KEY (CODE)
);

ALTER TABLE ENQUIRY
ADD SELL_PHASE_STATUS VARCHAR2(3 CHAR);

ALTER TABLE ENQUIRY
ADD LENGTH_OF_STAY VARCHAR2(200 CHAR);

ALTER TABLE ENQUIRY
ADD ARRIVAL_DATE DATE;

ALTER TABLE ENQUIRY
ADD BOAT_LENGTH VARCHAR2(100 CHAR);

ALTER TABLE ENQUIRY
ADD BOAT_LOCATION_ID NUMBER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1234, SYSDATE, '5.5', 1154, 'Enquiry dodatna polja')
;