DROP VIEW V_RACUN
;

CREATE OR REPLACE VIEW V_RACUN AS 
SELECT S.ID_SALDKONT AS ID_RACUN, S.ID_SALDKONT_FISC, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, S.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
S.STEVILKA AS BROJ_RACUNA, 
S.NSTEVILKA AS NBROJ_RACUNA, S.LOKAC AS POSLOVNI_PROSTOR, COALESCE(TO_NUMBER(REGEXP_SUBSTR(S.BLAGAJNA, '^\d+(\.\d+)?')), 1) AS NAPLATNI_UREDAJ, S.BLAGAJNA AS EL_NAPRAVA, S.ZA_PLACILO AS IZNOS, OP1.OPROSCENO, ND1.NEOBDAVCENO, S.ZNESEK_PLACILA AS PLACILO,
(CASE PL.PLACIL WHEN 1 THEN (CASE NC.VRSTA_DENARJA WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
S.GOVERNMENT AS GOVERMENT, S.GOVERNMENT_CODE AS GOVERMENT_CODE, S.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA, R.STORNONR AS ID_STORNO, COALESCE(SAKO.AKONTACIJE, 0) AS AKONTACIJE, 2 AS VERZIJA, SK.DAVCNA_STEVILKA AS DAVCNA_STEVILKA_KUPCA
FROM SALDKONT_FISC S
JOIN SALDKONT R ON S.ID_SALDKONT=R.ID_SALDKONT 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=S.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, MIN(MONEY.ID_MONEY) AS IDMONEY FROM MONEY GROUP BY ID_MENJAVE) MP ON E.ID=MP.ID_MENJAVE
LEFT OUTER JOIN MONEY NP ON MP.IDMONEY=NP.ID_MONEY
LEFT OUTER JOIN NNCARDS NC ON NP.ID_CARDS=NC.ID_CARDS
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
LEFT OUTER JOIN (SELECT RD1.ID_SALDKONT, SUM(RD1.ZNESEK) AS OPROSCENO FROM RACUN_DATA RD1 LEFT OUTER JOIN M_STORITVE S1 ON RD1.ID_STORITVE=S1.ID_STORITVE LEFT OUTER JOIN S_OBRACUN O1 ON RD1.ID_OBRACUN=O1.ID_OBRACUN
LEFT OUTER JOIN M_NNSTOMAR SS1 ON S1.STORITEV=SS1.SIFRA
LEFT OUTER JOIN S_ARTIKLI A1 ON O1.ID_ARTIKEL=A1.ID_ARTIKEL
LEFT OUTER JOIN S_DAVEK D1 ON RD1.ID_DAVEK=D1.ID_DAVEK
WHERE RD1.DAV_STOPNJA=0 AND ((RD1.ID_STORITVE IS NOT NULL AND SS1.DAVEK>0) OR (RD1.ID_OBRACUN IS NOT NULL AND A1.DAV_STOPNJA>0)) GROUP BY RD1.ID_SALDKONT) OP1 ON OP1.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN (SELECT RD1.ID_SALDKONT, SUM(RD1.ZNESEK) AS NEOBDAVCENO FROM RACUN_DATA RD1 LEFT OUTER JOIN M_STORITVE S1 ON RD1.ID_STORITVE=S1.ID_STORITVE LEFT OUTER JOIN S_OBRACUN O1 ON RD1.ID_OBRACUN=O1.ID_OBRACUN
LEFT OUTER JOIN M_NNSTOMAR SS1 ON S1.STORITEV=SS1.SIFRA
LEFT OUTER JOIN S_ARTIKLI A1 ON O1.ID_ARTIKEL=A1.ID_ARTIKEL
LEFT OUTER JOIN S_DAVEK D1 ON RD1.ID_DAVEK=D1.ID_DAVEK
WHERE RD1.DAV_STOPNJA=0 AND ((RD1.ID_STORITVE IS NOT NULL AND SS1.DAVEK=0) OR (RD1.ID_OBRACUN IS NOT NULL AND A1.DAV_STOPNJA=0)) GROUP BY RD1.ID_SALDKONT) ND1 ON ND1.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN (SELECT SA.ID_SALDKONT, SUM(SP.ZA_PLACILO) AS AKONTACIJE FROM SALDKONT SA JOIN SALDKONT_ZAP SZ ON SA.ID_SALDKONT=SZ.ID_SALDKONT JOIN SALDKONT SP ON SZ.ID_PL_SALDKONT=SP.ID_SALDKONT AND SP.VRSTA_RACUNA='AKO' GROUP BY SA.ID_SALDKONT) SAKO ON SAKO.ID_SALDKONT=S.ID_SALDKONT
WHERE S.ID_SALDKONT_ZAP IS NULL
UNION
SELECT 0 AS ID_RACUN, S.ID_SALDKONT_FISC, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, S.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
S.STEVILKA AS BROJ_RACUNA, 
S.NSTEVILKA AS NBROJ_RACUNA, S.LOKAC AS POSLOVNI_PROSTOR, COALESCE(TO_NUMBER(REGEXP_SUBSTR(S.BLAGAJNA, '^\d+(\.\d+)?')), 1) AS NAPLATNI_UREDAJ, S.BLAGAJNA AS EL_NAPRAVA, S.ZA_PLACILO AS IZNOS, 0 AS OPROSCENO, 0 AS NEOBDAVCENO, S.ZNESEK_PLACILA AS PLACILO,
(CASE PL.PLACIL WHEN 1 THEN (CASE NC.VRSTA_DENARJA WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
S.GOVERNMENT AS GOVERMENT, S.GOVERNMENT_CODE AS GOVERMENT_CODE, S.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA, R.STORNONR AS ID_STORNO, 0 AS AKONTACIJE, 2 AS VERZIJA, SK.DAVCNA_STEVILKA AS DAVCNA_STEVILKA_KUPCA
FROM SALDKONT_FISC S
JOIN SALDKONT_ZAP Z ON S.ID_SALDKONT_ZAP=Z.ID_SALDKONT_ZAP
JOIN SALDKONT R ON R.ID_SALDKONT=Z.ID_PL_SALDKONT 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=S.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, MIN(MONEY.ID_MONEY) AS IDMONEY FROM MONEY GROUP BY ID_MENJAVE) MP ON E.ID=MP.ID_MENJAVE
LEFT OUTER JOIN MONEY NP ON MP.IDMONEY=NP.ID_MONEY
LEFT OUTER JOIN NNCARDS NC ON NP.ID_CARDS=NC.ID_CARDS
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
WHERE R.VRSTA_RACUNA IN ('AKO')
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1322, SYSDATE, '5.5', 1242, 'V_racun')
;