ALTER TABLE KONT_OSB_LASTNIK
ADD ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y';

DROP VIEW V_KONT_OSB_LASTNIK;

CREATE OR REPLACE VIEW V_KONT_OSB_LASTNIK AS (
	SELECT K.ID_KONT_OSB_LASTNIK, K.ID_LASTNIKA, K.ID_OSEBE, K.ODNOS, K.DEPANDENT, K.HAS_MEMB_CARD, K.CAN_SIGN_INVOICE, K.CREW_ID, K.VELJA_DO, K.NOTE, K.PREFERRED, K.ACTIVE,
  NNODNOS.OPIS AS NNODNOS_OPIS, NNODNOS.INTERNI_OPIS AS NNODNOS_INTERNI_OPIS,
  KUPCI_LASTNIK.PRIIMEK AS LASTNIK_PRIIMEK, KUPCI_LASTNIK.IME AS LASTNIK_IME, KUPCI_LASTNIK.ID_MEMBER AS LASTNIK_ID_MEMBER, 
  KUPCI_LASTNIK.NASLOV AS LASTNIK_NASLOV, KUPCI_LASTNIK.MESTO AS LASTNIK_MESTO, KUPCI_LASTNIK.POSTA AS LASTNIK_POSTA,
  KUPCI_OSEBA.PRIIMEK AS OSEBA_PRIIMEK, KUPCI_OSEBA.IME AS OSEBA_IME, KUPCI_OSEBA.ID_MEMBER AS OSEBA_ID_MEMBER, KUPCI_OSEBA.TELEX AS OSEBA_MOBILE_PHONE, KUPCI_OSEBA.EMAIL AS OSEBA_EMAIL,
  KUPCI_OSEBA.NASLOV AS OSEBA_NASLOV, KUPCI_OSEBA.MESTO AS OSEBA_MESTO, KUPCI_OSEBA.POSTA AS OSEBA_POSTA
	FROM KONT_OSB_LASTNIK K
 	LEFT OUTER JOIN KUPCI KUPCI_LASTNIK ON K.ID_LASTNIKA = KUPCI_LASTNIK.ID
  LEFT OUTER JOIN KUPCI KUPCI_OSEBA ON K.ID_OSEBE = KUPCI_OSEBA.ID
  LEFT OUTER JOIN NNODNOS NNODNOS ON K.ODNOS = NNODNOS.SIFRA
);

ALTER TABLE QUESTIONNAIRE
ADD EXPIRY_PERIOD NUMBER;

ALTER TABLE QUESTIONNAIRE
ADD DATE_CREATED DATE;

ALTER TABLE QUESTIONNAIRE
ADD USER_CREATED VARCHAR2(100 CHAR);

DROP VIEW V_QUESTIONNAIRE_ANSWER_MASTER;

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER_MASTER AS (
	SELECT QAM.ID, QAM.ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, QAM.DATE_CREATED, QAM.ID_DN, 
  ADD_MONTHS(QAM.DATE_CREATED, QU.EXPIRY_PERIOD) AS EXPIRY_DATE,
  QU.NAME AS QUESTIONNAIRE_NAME, QU.TYPE AS QUESTIONNAIRE_TYPE, QU.ID_PRINT_MODULE AS QUESTIONNAIRE_ID_PRINT_MODULE, QT.OPIS AS QUESTIONNAIRE_TYPE_DESCRIPTION, PL.IME AS PLOVILA_IME,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUPAR.IME || ' ' || KUPAR.PRIIMEK) ELSE (KUPAR.PRIIMEK || ' ' || KUPAR.IME) END) AS OWNER_PARENT
	FROM QUESTIONNAIRE_ANSWER_MASTER QAM
  LEFT OUTER JOIN QUESTIONNAIRE QU ON QU.ID = QAM.ID_QUESTIONNAIRE
  LEFT OUTER JOIN QUESTIONNAIRE_TYPE QT ON QT.ID = QU.TYPE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = QAM.ID_LASTNIKA
  LEFT OUTER JOIN KUPCI KUPAR ON KUPAR.ID = QAM.ID_LASTNIKA_PARENT
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = QAM.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1753, SYSDATE, '5.5', 1673, 'Questionnaire')
;
